/* styles.css */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;

    text-align: center;
}

#menu-container {
  position: fixed;
  width: 100%;
  z-index: 1000;
}

#menu-spacer {
  height: 115px
}


 /* Show dropdown on hover */
 .navbar-nav .dropdown:hover>.dropdown-menu {
  display: block;
}
.navbar-nav .dropdown>.dropdown-toggle:active {
  pointer-events: none;
}
/* Remove caret */
.dropdown-toggle::after {
  display: none;
}

.navbar-toggler {
  border: none !important;
}

.logo {
    position: absolute;
    left: 20px; /* Default position for desktop */
    transform: translateX(0);
    z-index: 500; /* Lower z-index than the mobile menu */
}

.logo img {
    height: 50px;
}




.dropdown-item:hover {
  color: #c95195;
  transition: color 0.3s ease;
}
.nav-link:hover {
  color: #c95195;
  transition: color 0.3s ease;
}

.container {
  box-sizing: content-box;
  max-width: min(1360px, 90vw);
  margin-left: auto;
  margin-right: auto;
  padding: 15px;
}



  .card {
    position: relative;
    box-sizing: border-box;
    transition: 0.1s ease-in-out;
    transition-property: color, background-color, border-color, box-shadow, top;
    top: 0;
    border-radius: 10px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.09);
    background-color: white;
    margin: 10px;

  }
  
  .threeWide{
    max-width: 400px;
  }
  .twoWide{
    max-width: 600px;
  }
  .card-body {
    padding: 30px;
  }
  .card-header {
    padding: 15px 30px;
  }
  .card-image {
    width: 100%;
    border-top-left-radius: calc(10px - 1px);
    border-top-right-radius: calc(10px - 1px);
  }
  .card-footer {
    padding: 15px 30px;
  }

  .card-link {
    display: block;
    text-decoration: none;
    color: inherit;
  }

  .grid {
    display: flex;
    flex-wrap: wrap;
    margin: 10px;
    padding: 10px;
    list-style: none;
    justify-content: center;
  }



  .backgrounded-section {
    position: relative;
    width: 100vw;
    min-height: 400px; /* Adjust the height as needed */

    display: flex;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    align-items: center;
    justify-content: center;
    color: white;
    text-align: center;

  }

  .backgrounded-section img {
    width: 95vw;
  }

  .backgrounded-section {
    text-shadow: 2px 2px 2px black;
  }

  .backgrounded-section>div {
    max-width: 500px;
  }

  .flex {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .flex > * {
    margin: 10px;
  }

  .third-wide {
    width: 33vw;
    min-width: 500px;

  }
  .third-wide > img {
    width: 100%;
    border-radius: 10px;
  }

  /* Footer Styles */
.footer {
  background-color: black;
  color: white;
  padding: 20px 0;
}

.footer  p{
  font-size: small;
}

.footer-container {
  display: flex;
  justify-content: space-between;
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 20px;
}

.footer-column {
  flex: 1;
  padding: 0 20px;
}

.footer-column h3 {
  margin-bottom: 10px;
}

.footer-column ul {
  list-style: none;
  padding: 0;
}

.footer-column ul li {
  margin-bottom: 10px;
}

.footer-column a {
  color: white;
  text-decoration: none;
}

.footer-column a:hover {
  text-decoration: underline;
}

#newsletter-form {
  display: flex;
  flex-direction: column;
}

#newsletter-form input[type="email"] {
  padding: 10px;
  margin-bottom: 10px;
  border: none;
  border-radius: 5px;
}

#newsletter-form button {
  padding: 10px;
  border: none;
  border-radius: 5px;
  background-color: white;
  color: black;
  cursor: pointer;
}

#newsletter-form button:hover {
  background-color: gray;
}

.social-buttons {
  display: flex;
  align-items: center;
  justify-content: center;
}

.social-buttons a {
  display: block;
  margin-bottom: 10px;
}

.social-logo {
  max-width: 50px;
max-height: 50px;
margin: 10px;
}

.footer-info {
  text-align: center;
  margin-top: 20px;
  padding-top: 20px;
  border-top: 1px solid white;
}

.footer-info p {
  margin: 5px 0;
}

.two-columns {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 10px;
}

.flex-start {
  align-items: flex-start;
}

.two-columns>* {
  max-width: 50%;
  padding: 10px;
  overflow: hidden;
}

.two-columns img {
  max-width: 100%;
  border-radius: 10px;
}

@media only screen and (min-width: 600px) {
  .mobile {
    display: none;
  }
  .desktop {
    display: block;
  }
}

@media only screen and (max-width: 600px) {
  .two-columns {
    display: block;
  }
  
  .two-columns >* {
    max-width: 100%;
    margin: auto;
  }

  .mobile {
    display: block;
  }

  .desktop {
    display: none;
  }
}

.btn {
  overflow: hidden;
  text-overflow: ellipsis;
  color: white;
  background-color: #c95196;

  display: inline-block;
  font-weight: bold;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  user-select: none;
  border: 1px solid transparent;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  line-height: 1.5;
  border-radius: 5px;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.backgrounded-section .btn,
.backgrounded-section .btn-primary {
  text-shadow: none;
}

/* Center align the text and ensure bullets are aligned with text */
ul, ol {
  list-style-position: inside;
  text-align: left; /* Ensures the text alignment is left for better readability */
  margin: 0 auto;
  padding-left: 20px; /* Adjust as needed to align bullets with text */
  display: inline-block;
  text-align: left;
}

li {
  text-align: left; /* Ensure each list item text is left aligned */
  padding-left: 10px; /* Adjust for better spacing between bullet and text */
}

span.indent {
  /*display: inline-block;*/
  margin-left: 20px; /* Adjust the indentation as needed */
}

.greyBar {
  background-color: #F1F2F2; 
  min-height: 100px; 
  display: flex; 
  justify-content: center; 
  align-items: center;
}

.iconSection{
  width: 100%;
  max-width: 1000px;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  flex-wrap: wrap;
  margin: auto;
}

.iconElement {
  padding: 10px;

max-width: 20%;
display: block;

}

/* Media queries for responsive design */
@media (max-width: 768px) {
  .iconElement {
    max-width: 45%; /* Adjust the width for smaller screens */
  }
}

@media (max-width: 480px) {
  .iconElement {
    max-width: 100%; /* Adjust the width for smaller screens */
  }
}


.iconElement img {
  margin: auto;
  max-height: 100px;
}
.iconCopy {
  text-align: left;
}

.left {
  text-align: left;
}

.colorBar {
  color: white;
  padding: 10px;
}

.colorBar div{
  max-width: 1000px;
  margin: auto;
}



.label {
  display: inline-block;
  margin-bottom: .5rem;
}

.form-control {
  display: block;
width: 90%;
margin: auto;
padding: .375rem .75rem;
font-size: 1rem;
line-height: 1.5;
color: #495057;
background-color: #fff;
background-clip: padding-box;
border: 1px solid #ced4da;
border-radius: .25rem;
transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

textarea {
  overflow: auto;
  resize: vertical;
}

.form-group {
  margin-bottom: 1rem;

}

input {

appearance: auto;
-webkit-rtl-ordering: logical;
-webkit-user-select: text;
cursor: auto;
}


::after, ::before {
  box-sizing: border-box;
  }

  .swiper {
    width: 600px;
    height: 300px;
  }

  .swiper-container {
    max-width: 90vw;
    overflow: hidden;
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .swiper-wrapper.threeHund .swiper-slide {
    max-height: 300px;
}

.swiper-wrapper {
  margin: 20px 0px 30px;
}

  .swiper-slide {
    
    overflow: hidden !important;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.09);
    
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 18px;
    
  }

  .swiper-slide img {
    width: 100%;
  }

  .swiper-lazy-preloader {
    position: absolute;
    left: 50%;
    top: 50%;
    width: 42px;
    height: 42px;
    margin-left: -21px;
    margin-top: -21px;
    z-index: 10;
}


.model-list-container {
  margin: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;

}

.model-holder {
  padding: 20px;
}


.xr-spatial-tracking {
  max-width: 90vw;
}

iframe {
  max-width: 95vw;
}



.tab-container {
  justify-content: center;
  margin-bottom: 15px;
}
.tab-btn {
  background-color: #c95196;
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  margin: 5px;
  cursor: pointer;
  transition: background-color 0.2s;
}
.tab-btn:hover {
  background-color: #b14585;
}
.tab-btn.active {
  background-color: #a04076;
}
a.tab-btn {
  text-decoration: none;
  display: inline-block;
  box-sizing: border-box;
}
a.tab-btn,
a.tab-btn:visited {
  color: white;
}
.tab-content {
  display: none;
  flex-direction: column;
  height: 70vh;
  min-height: 400px;
  padding: 20px 10px 20px 10px;
  overflow: hidden;
  box-sizing: border-box;
}
.tab-content.active {
  display: flex;
}
.tab-content .iframe-container {
  flex: 1 1 0;
  min-height: 280px;
  position: relative;
  width: 100%;
}
.iframe-container iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}

.hidden {
  display: none;
}

